#3070 closed enhancement (fixed)

Add rtems_scheduler_ident_by_processor_set()

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: rtems Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

/**
 * @brief Identifies a scheduler by a processor set.
 *
 * The scheduler is selected according to the highest numbered online processor
 * in the specified processor set.
 *
 * @param[in] cpusetsize Size of the specified processor set buffer in
 *   bytes.  This value must be positive.
 * @param[out] cpuset The processor set to identify the scheduler.
 * @param[out] id The scheduler identifier associated with the processor set.
 *
 * @retval RTEMS_SUCCESSFUL Successful operation.
 * @retval RTEMS_INVALID_ADDRESS The @a id parameter is @c NULL.
 * @retval RTEMS_INVALID_SIZE Invalid processor set size.
 * @retval RTEMS_INVALID_NAME The processor set contains no online processor.
 * @retval RTEMS_INCORRECT_STATE The processor set is valid, however, the
 *   highest numbered online processor in the specified processor set is not
 *   owned by a scheduler.
 */
rtems_status_code rtems_scheduler_ident_by_processor_set(
  size_t     cpusetsize,
  cpu_set_t *cpuset,
  rtems_id  *id
);

Change History (5)

comment:1 Changed on Jul 11, 2017 at 8:21:56 AM by Sebastian Huber

Description: modified (diff)

comment:2 Changed on Jul 12, 2017 at 6:01:56 AM by Sebastian Huber <sebastian.huber@…>

In ecabd384/rtems:

rtems: Add rtems_scheduler_ident_by_processor_set

Update #3070.

comment:3 Changed on Jul 12, 2017 at 6:29:10 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In a31dbcb/rtems-docs:

c-user: Document new scheduler ident routines

Close #3069.
Close #3070.

comment:4 Changed on Oct 10, 2017 at 6:24:23 AM by Sebastian Huber

Component: SMPrtems

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.